#
# spec file for package perl-Devel-PartialDump
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-PartialDump
Version:        0.20
Release:        bp155.2.11
%define cpan_name Devel-PartialDump
Summary:        Partial dumping of data structures, optimized for argument printing
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-PartialDump/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Tiny)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.009
BuildRequires:  perl(namespace::clean) >= 0.19
BuildRequires:  perl(ok)
Requires:       perl(Class::Tiny)
Requires:       perl(Sub::Exporter)
Requires:       perl(namespace::clean) >= 0.19
%{perl_requires}

%description
This module is a data dumper optimized for logging of arbitrary parameters.

It attempts to truncate overly verbose data, in a way that is hopefully
more useful for diagnostics warnings than

    warn Dumper(@stuff);

Unlike other data dumping modules there are no attempts at correctness or
cross referencing, this is only meant to provide a slightly deeper look
into the data in question.

There is a default recursion limit, and a default truncation of long lists,
and the dump is formatted on one line (new lines in strings are escaped),
to aid in readability.

You can enable it temporarily by importing functions like 'warn', 'croak'
etc to get more informative errors during development, or even use it as:

    BEGIN { local $@; eval "use Devel::PartialDump qw(...)" }

to get DWIM formatting only if it's installed, without introducing a
dependency.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Sun Jul  9 2017 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-Devel-PartialDump/Changes
  0.20      2017-07-06 04:34:59Z
  - fix tests on Carp <1.25 (Paul Howarth, PR#1)
* Tue Jul  4 2017 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Devel-PartialDump/Changes
  0.19      2017-07-03 20:24:01Z
  - remove use of Test::Warn in tests
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Devel-PartialDump/Changes
  0.18      2015-08-16 04:35:35Z
  - update some distribution tooling
* Mon Dec  9 2013 coolo@suse.com
- updated to 0.17
  - many fixes (thanks, Steven Lee!)
  - attribute list_delim is now being used in list dumps
  - setting attribute max_length to 0 now shortens more, to '...'
  - fixed use of = in array/hash ref objects
  - extra test coverage
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.16
  - Moose dependency removed, resolving circular dependency in Moose's
    recommended prereqs (thanks, David Golden!)
  - converted packaging to Dist::Zilla
* Wed Dec 21 2011 coolo@suse.com
- update to 0.15
  - Bump dependency on namespace::clean to 0.20, as requested by doy++.
  - Don't go into an infinite loop when dumping references to references.
    Also, dump LVALUE references properly. (doy)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov  4 2010 pascal.bleser@opensuse.org
- initial package (0.13)
